| stm-2.1.1.1: Software Transactional Memory | Source code | Contents | Index

Control.Concurrent.STM.TArray

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org

Description
TArrays: transactional arrays, for use in the STM monad
Synopsis

data TArray i e

Documentation

data TArray i e | Source

TArray is a transactional array, supporting the usual `MArray` interface for mutable arrays. It is currently implemented as `Array ix (TVar e)`, but it may be replaced by a more efficient implementation in the future (the interface will remain the same, however).
Instances

MArray TArray e STM

Produced by Haddock version 0.9